View a markdown version of this page

ListBrowserProfiles - Amazon Bedrock AgentCore Control Plane
Services or capabilities described in Amazon Web Services documentation might vary by Region. To see the differences applicable to the China Regions, see Getting Started with Amazon Web Services in China (PDF).

ListBrowserProfiles

Lists all browser profiles in your account.

Request Syntax

POST /browser-profiles?maxResults=maxResults&nextToken=nextToken HTTP/1.1 Content-type: application/json { "name": "string" }

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results to return in the response.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

A token to retrieve the next page of results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Request Body

The request accepts the following data in JSON format.

name

The name of the browser profile to filter results by.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "profileSummaries": [ { "createdAt": "string", "description": "string", "lastSavedAt": "string", "lastSavedBrowserId": "string", "lastSavedBrowserSessionId": "string", "lastUpdatedAt": "string", "name": "string", "profileArn": "string", "profileId": "string", "status": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A token to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

profileSummaries

The list of browser profile summaries.

Type: Array of BrowserProfileSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific Amazon SDKs, see the following: